Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 1269952

Summary: python scripts using #!/usr/bin/env python shebang will be affected by python3 default interpreter in Fedora 23.
Product: [Fedora] Fedora Reporter: Goutam Kodu <goutamkk>
Component: python3Assignee: Charalampos Stratakis <cstratak>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 23CC: bkabrda, gaurav.sood, goutamkk, jberan, pviktori, rkuska, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-02-01 03:46:27 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Goutam Kodu 2015-10-08 10:51:24 EDT
Description of problem:
Python scripts have #!/usr/bin/env python will fail to execute in Fedora 23

Version-Release number of selected component (if applicable):
python3

How reproducible:
Run  /usr/bin/env python in terminal

Steps to Reproduce:
1.
2.
3.

Actual results:
python file not found.

Expected results:
The script should run irrespective of python3 being the default interpreter

Additional info:
This would affect the software supporting both py2.X and py3.X versions.
Comment 1 Goutam Kodu 2015-10-11 23:03:00 EDT
Hi,

Can somebody update what is the resolution for this bug ?
Will there be python file soft linked to python3 ?

Thanks,
Goutam
Comment 2 Petr Viktorin 2015-10-12 05:21:21 EDT
The current upstream recommendation is that "python" should mean Python 2 (see [PEP 394]). As with any script, you need to install the interpreter that can run it – in this case, Python 2.

Alternatively, you can change the shebang to "#!/usr/bin/env python3".


A shebang that would somehow automatically choose between py2 and py3 is being discussed upstream: https://mail.python.org/pipermail/linux-sig/2015-October/000000.html

[PEP 394]: https://www.python.org/dev/peps/pep-0394/
Comment 3 Fedora Admin XMLRPC Client 2016-01-29 08:08:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Petr Viktorin 2016-01-29 08:36:30 EST
Hello Goutam,
Did that answer your question, or do you need any more info?
Comment 5 Goutam Kodu 2016-01-31 21:13:10 EST
Yes Petr that answered my question. Sorry for delay in my response.
We updated the code with "#!/usr/bin/env python3" shebang

thanks,
Goutam
Comment 6 Petr Viktorin 2016-02-01 03:46:27 EST
Thanks for the reply. I'll close the bug, but get in touch if anything else is unclear.